## OobsShareNFS

OobsShareNFS — Object that represents NFS configuration

## Functions

OobsShare * | oobs_share_nfs_new ()
void | oobs_share_nfs_add_acl_element ()
void | oobs_share_nfs_set_acl ()
GSList * | oobs_share_nfs_get_acl ()

## Types and Values

struct | OobsShareAclElement

## Object Hierarchy

        GObject
        ╰── OobsShare
            ╰── OobsShareNFS

## Description

## Functions

### oobs_share_nfs_new ()

    OobsShare *
    oobs_share_nfs_new (const gchar *path);

Returns a new NFS share for the given path.

#### Parameters

path | share path. |

#### Returns

A newly allocated OobsShareNFS.

### oobs_share_nfs_add_acl_element ()

    void
    oobs_share_nfs_add_acl_element (OobsShareNFS *share,
                                    const gchar *element,
                                    gboolean read_only);

Adds an ACL entry for a host, `element` may be a host name, an IP address or a combination in the form "IP address/Network mask".

#### Parameters

share | An OobsShareNFS. |
element | Host in the share ACL. |
read_only | Whether the share is read only for the element. |

### oobs_share_nfs_set_acl ()

    void
    oobs_share_nfs_set_acl (OobsShareNFS *share,
                            GSList *acl);

Overwrites the list of ACL entries for the share. The previous list and its contents will be free, so any merging will have to be done by hand. Alternatively, you can use `oobs_share_nfs_add_acl_element()`.

#### Parameters

share | An OobsShareNFS. |
acl | A GList of OobsShareAclElement. |

### oobs_share_nfs_get_acl ()

    GSList *
    oobs_share_nfs_get_acl (OobsShareNFS *share);

Returns the ACL defined for this share.

#### Parameters

share | An OobsShareNFS. |

#### Returns

A GList containing OobsShareAclElement structs, this list must be freed with `g_list_free()`.

## Types and Values

### struct OobsShareAclElement

    struct OobsShareAclElement {
      gchar    *element;
      gboolean  read_only;
    };

## See Also

OobsShare, OobsNFSConfig